#include "muffins.h"
#define PLAYERSPEED 100

void CGame::handleInput() {
	while(SDL_PollEvent(&event)) {
		if(event.type == SDL_QUIT) {
			bDone = 1;
			return;
		}
		else if(event.type == SDL_KEYDOWN) {
			if(event.key.keysym.sym == SDLK_ESCAPE) {
				bDone = 1;
				return;
			}
			else if(event.key.keysym.sym == SDLK_TAB) {
				// Display score!
			}
			else if(event.key.keysym.sym == SDLK_SPACE) {
				// Lay a bomb!
				layBombForPlayer(0);
			}
		}
	}
	Uint8 *keystate = SDL_GetKeyState(NULL);
	if(keystate[SDLK_UP]) {
		players[0].heading = 0;
		if(canMoveTo(players[0].x,players[0].y - (PLAYERSPEED*timer_delta),0,0,0)) {
			players[0].y -= PLAYERSPEED * timer_delta;
		}
	}
	else if(keystate[SDLK_DOWN]) {
		players[0].heading = 2;
		if(canMoveTo(players[0].x,players[0].y + (PLAYERSPEED*timer_delta) + 36,0,0,1)) { // these offsets break sprite-sprite
			players[0].y += PLAYERSPEED * timer_delta;
		}
	}
	if(keystate[SDLK_LEFT]) {
		players[0].heading = 3;
		if(canMoveTo(players[0].x - (PLAYERSPEED * timer_delta), players[0].y,0,0,0)) {
			players[0].x -= PLAYERSPEED * timer_delta;
		}
	}
	else if(keystate[SDLK_RIGHT]) {
		players[0].heading = 1;
		if(canMoveTo(players[0].x + (PLAYERSPEED*timer_delta) + 36,players[0].y,0,1,0)) {
			players[0].x += PLAYERSPEED * timer_delta;
		}
	}
}