#include "SDL.h"

#ifndef _PLAYER_H_
#define _PLAYER_H_

class Character {
	public:
		float x;
		float y; // (x,y) locations
		Uint32 hp; // is he dead?
		Uint32 range; // explosion range (in tiles)
		Uint32 heading; // 0 for north, 1 for east, 2 for south, 3 for west
		Uint32 maxbombs; // how many bombs can you lay now?
		
		SDL_Rect rect;
		Uint32 gfx; // what picture to draw?
		Uint32 score;
		// Maybe some stuff here for powerups -- Super Boot, Magic Slippers, Super Muffins?
		Character();
};

class Player : public Character {
	public:
		Player();
};

#endif