#include "weapons.h"
#include "muffins.h"

ActiveBomb::ActiveBomb(Uint32 owner, Uint32 range, Uint32 x, Uint32 y) {
	this->owner = owner;
	this->range = range;
	this->y = y;
	this->x = x;
	timer = BOMB_TIME;
}
	
void CGame::handleBombTimers() {
	list <ActiveBomb*>::iterator bit;
	for(bit = bombs.begin(); bit != bombs.end(); bit++) {
		ActiveBomb* tb =  *bit;
		tb->timer -= timer_elapsed;
		if(tb->timer < 1) {
			// EXPLOSION!!!
			Explosion* newExp = new Explosion();
			newExp->owner = tb->owner;
			newExp->range = tb->range;
			newExp->tx = tb->x;
			newExp->ty = tb->y;
			explosions.push_back(newExp);
			wipeOutTiles(newExp);
			bombs.remove(tb);
			delete tb;
			printf("A bomb exploded, explosion created\n");
			return;
		}
	}
}

void CGame::layBombForPlayer(Uint32 player) {
	if(bombsActiveForPlayer(player) < players[player].maxbombs) {
		ActiveBomb* newBomb = new ActiveBomb(player,players[player].range,
											 (int)((players[player].x + 24)/48),(int)((players[player].y+24)/48));
		/*newBomb->x = players[player].x / 48;
		newBomb->y = players[player].y / 48;
		newBomb->range = players[player].range;
		newBomb->owner = player;*/
		bombs.push_back(newBomb);
		printf("Bomb laid!!!\n");
	}
}