#include "muffins.h"
#include "Map.h"

void CGame::drawMap() {
	SDL_Rect rect = {0,0,0,0};
	rect.w = 48;
	rect.h = 48;
	for(int r = 0; r < 10; r++) {
		rect.y = r * 48;
		for(int c = 0; c < 10; c++) {
			rect.x = c * 48;
			if(theMap.level[r][c] == 1) { // immovable
				SDL_FillRect(screen,&rect,SDL_MapRGB(screen->format,255,255,255));
			}
			else if(theMap.level[r][c] == 2) { // blowup-able
				SDL_FillRect(screen,&rect,SDL_MapRGB(screen->format,128,128,128));
			}
			else {
				SDL_FillRect(screen,&rect,SDL_MapRGB(screen->format,0,0,0));
			}
		}
	}
}